package parser;

/**
 * Grammar non-terminal -- F2 ::= id
 */
public class F2 implements F {
    /**
     * Id token.
     */
    private IdToken _id;

    /**
     * Constructor for the F2 grammar non-terminal.
     *
     * @param id id token
     */
    public F2(IdToken id) {
        _id = id;
    }

    /**
     * Return a string representation.
     *
     * @return string representation
     */
    public String toString() {
        return _id.toString();
    }
}

